
#ifdef __cplusplus
extern "C" {
#endif


typedef struct {
  int id;
  int x;
  int y;
  int is_edge;
} t_point;

typedef struct {
  t_point *a;
  t_point *b;
} t_line;

typedef struct {
  t_line **lines;
  int lines_n;
  t_point **points;
  int points_n;
  int edge_n;
} t_circle;

extern t_circle *getCircle(int size);

#ifdef __cplusplus
}
#endif
